Subject: RE: [Asrg] ASRG IPR policy (was RE: US Spam patents: Partial list )

From: Paul Judge <[email-masked]>
Date: Fri, 13 Jun 2003 21:39:09 -0400

> -----Original Message-----
> From: Kee Hinckley [mailto:[email-masked]] 
> Sent: Friday, June 13, 2003 4:00 PM
> To: Paul Judge
> Cc: [email-masked]
> Subject: Re: [Asrg] ASRG IPR policy (was RE: US Spam patents: 
> Partial list)
> 
> Could you possibly do another pass on the wording?  Maybe I'm fuzzy 
> today, but I couldn't make head or tail of that, even after reading 
> your summary explanation.

Is there a particular sentence that is unclear to you? The text is directly
from RFC 2026.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Kee Hinckley <[email-masked]>
Date: Sat, 14 Jun 2003 20:59:08 -0400

>>"By submission of a contribution, each person actually submitting the
>>    contribution is deemed to agree to the following terms and conditions
>>    on his own behalf, on behalf of the organization (if any) he
>>    represents and on behalf of the owners of any propriety rights in the
>>    contribution..  Where a submission identifies contributors in
>>    addition to the contributor(s) who provide the actual submission, the
>>    actual submitter(s) represent that each other named contributor was
>>    made aware of and agreed to accept the same terms and conditions on
>>    his own behalf, on behalf of any organization he may represent and
>>    any known owner of any proprietary rights in the contribution.

Well, part of the problem is that there are only two sentences, but 
there are about half a dozen sub clauses.

I think I understand the first sentence, but it raises more issues 
than it helps.  What does "represents" mean?  Does that mean I need 
to stick a clause in every suggestion I make, stating that this is 
not an official statement from my organization?  But anyway, the 
first sentence simply seems to say that by the acting of contributing 
a (something, not clear what) I'm agreeing to the following terms, 
and I'm agreeing to them for everyone who I might possibly represent. 
The more I think about that, the more I find it unacceptable. 
Agreement should be explicit, not implicit.  (Sounds like we're 
defining spam here :-).

The second sentence is the one that lost me.  After reading it 
several times I think it means.

	The submitter promises that everyone with ownership of the
	contribution has been aware of, and agrees to, these terms.

Now that I understand that, I don't find it acceptable either.

You need to define "contribution".  Are we talking a formal 
contribution made to the ASRG as in "here is my document, documenting 
what I think we ought to do"?  Or are we talking about the bunch of 
us bouncing around ideas and making suggestions.  Because if it's the 
latter, then I think there are a number of people on this list who 
are going to have to pull out.
-- 
Kee Hinckley
http://www.messagefire.com/          Anti-Spam Service for your POP Account
http://commons.somewhere.com/buzz/   Writings on Technology and Society

I'm not sure which upsets me more: that people are so unwilling to accept
responsibility for their own actions, or that they are so eager to regulate
everyone else's.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 16 Jun 2003 11:31:14 +0200

--On lørdag, juni 14, 2003 20:59:08 -0400 Kee Hinckley 
<[email-masked]> wrote:

>> Is there a particular sentence that is unclear to you? The text is
>> directly from RFC 2026.
>
> Well, part of the problem is that there are only two sentences, but there
> are about half a dozen sub clauses.

rest assured that the new version has many, many more sentences :-)

> I think I understand the first sentence, but it raises more issues than
> it helps.  What does "represents" mean?  Does that mean I need to stick a
> clause in every suggestion I make, stating that this is not an official
> statement from my organization?

actually it means that you don't have to stick explicit clauses into your 
statements, because you are "deemed to agree".
> But anyway, the first sentence simply
> seems to say that by the acting of contributing a (something, not clear
> what) I'm agreeing to the following terms, and I'm agreeing to them for
> everyone who I might possibly represent. The more I think about that, the
> more I find it unacceptable. Agreement should be explicit, not implicit.
> (Sounds like we're defining spam here :-).

It's supposed to be more an encoding of common sense:

If you claim to speak on behalf of others, we have a right to assume that 
you have secured the right to speak for them; if you claim to not speak on 
behalf of others, we have a right to assume that you have secured the right 
to speak on your own.
If you get into trouble because you spoke when you shouldn't, that's your 
problem, not the IRTF's.

> The second sentence is the one that lost me.  After reading it several
> times I think it means.
>
> You need to define "contribution".  Are we talking a formal contribution
> made to the ASRG as in "here is my document, documenting what I think we
> ought to do"?  Or are we talking about the bunch of us bouncing around
> ideas and making suggestions.  Because if it's the latter, then I think
> there are a number of people on this list who are going to have to pull
> out. --

By the terms of RFC 2026 as clarified by the IPR WG, any time you send to 
an IETF mailing list, you are making a contribution.

If you bounce an idea off the list that you know is patented, or otherwise 
encumbered by IPR, it's your responsibility to tell us; if you don't know 
that it is, you don't have a responsibility to spend research time to find 
out if there is.

But this is the IRTF, not the IETF, and I'm not a lawyer, nor do I speak 
for any of them..... this is MY opinion of what it means....

                     Harald